/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

// Helpers for clipboard handling.

/* globals document */

"use strict";

function copyString(string) {
  let doCopy = function (e) {
    e.clipboardData.setData("text/plain", string);
    e.preventDefault();
  };

  document.addEventListener("copy", doCopy);
  document.execCommand("copy", false, null);
  document.removeEventListener("copy", doCopy);
}

function getCurrentFlavors() {
  // See bug 1295692.
  return [];
}

function getData() {
  // See bug 1295692.
  return null;
}

exports.copyString = copyString;
exports.getCurrentFlavors = getCurrentFlavors;
exports.getData = getData;
